<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Louvain Algorithm: graph_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Louvain Algorithm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">graph_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="graph_8h_source.html">graph.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for graph_t:</div>
<div class="dyncontent">
<div class="center"><img src="structgraph__t__coll__graph.png" border="0" usemap="#graph__t_coll__map" alt="Collaboration graph"/></div>
<map name="graph__t_coll__map" id="graph__t_coll__map">
<area shape="rect" id="node2" href="structgnode__t.html" title="gnode_t" alt="" coords="5,5,73,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:abbb80c8116f7827008b888801d738517"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structgnode__t.html">gnode_t</a> **&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgraph__t.html#abbb80c8116f7827008b888801d738517">vertices</a></td></tr>
<tr class="separator:abbb80c8116f7827008b888801d738517"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74014409984ec0afc2835c6ac1bd06c7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgraph__t.html#a74014409984ec0afc2835c6ac1bd06c7">num_vertices</a></td></tr>
<tr class="separator:a74014409984ec0afc2835c6ac1bd06c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9044c89b78d8d87e2e4cbc10edf726ef"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgraph__t.html#a9044c89b78d8d87e2e4cbc10edf726ef">num_edges</a></td></tr>
<tr class="separator:a9044c89b78d8d87e2e4cbc10edf726ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bc08a0aec23aba44cb99179ddda3428"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgraph__t.html#a9bc08a0aec23aba44cb99179ddda3428">tot_link_weight</a></td></tr>
<tr class="separator:a9bc08a0aec23aba44cb99179ddda3428"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure that contains a graph data structure by defining the adjacency list for all of its nodes. It also includes the total number of vertices and edges and the sum of all the edges in the network. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a9044c89b78d8d87e2e4cbc10edf726ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9044c89b78d8d87e2e4cbc10edf726ef">&#9670;&nbsp;</a></span>num_edges</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int graph_t::num_edges</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a74014409984ec0afc2835c6ac1bd06c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74014409984ec0afc2835c6ac1bd06c7">&#9670;&nbsp;</a></span>num_vertices</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int graph_t::num_vertices</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9bc08a0aec23aba44cb99179ddda3428"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bc08a0aec23aba44cb99179ddda3428">&#9670;&nbsp;</a></span>tot_link_weight</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int graph_t::tot_link_weight</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abbb80c8116f7827008b888801d738517"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbb80c8116f7827008b888801d738517">&#9670;&nbsp;</a></span>vertices</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structgnode__t.html">gnode_t</a>** graph_t::vertices</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/<a class="el" href="graph_8h_source.html">graph.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
